<?php
session_start();
require_once('../../conexion.php');
require_once('../../include/sesiones.php');
// Declaramos la librería
require  ('vendor/autoload.php');

$tarifa=$_GET['tarifa'];

use PhpOffice\PhpSpreadsheet\Spreadsheet;
use PhpOffice\PhpSpreadsheet\Writer\Xlsx;

$spread = new Spreadsheet();

$sheet = $spread->getActiveSheet();
$sheet->getStyle('A:Z')->getAlignment()->setHorizontal('center');/* centar contenido de celdas */
$sheet->mergeCells('A1:E1')->mergeCells('A2:E2');/*combinas celdas*/

function cellColor($cells,$color)/* FUNSION PARA COLORES DE CELDA*/
{
    global $sheet;

    $sheet->getStyle($cells)->getFill()
    ->setFillType(\PhpOffice\PhpSpreadsheet\Style\Fill::FILL_SOLID)
    ->getStartColor()
    ->setARGB($color);
}

cellColor('A2:F2', 'BDBDBD'); 
cellColor('A1:F1', 'BDBDBD'); 
cellColor('A3:F3', 'FF4D00'); 


$sheet->setCellValue('A1', 'REPORTE CLIENTES POR TARIFAS')
            ->setCellValue('A2', 'DESDE '.$desde.' HASTA '.$hasta)
            ->setCellValue('A3', 'DOCUMENTO')
            ->setCellValue('B3', 'DV')
            ->setCellValue('C3', 'NOMBRE')
            ->setCellValue('D3', 'DIRECCION')
            ->setCellValue('E3', 'CORREO')
            ->setCellValue('F3', 'TELEFONO');

            //Ancho de las columnas
$sheet->getColumnDimension('A')->setWidth(30);   
$sheet->getColumnDimension('B')->setWidth(10);  
$sheet->getColumnDimension('C')->setWidth(30); 
$sheet->getColumnDimension('D')->setWidth(30); 
$sheet->getColumnDimension('E')->setWidth(20);
$sheet->getColumnDimension('F')->setWidth(20);


    $cel=4;//Numero de fila donde empezara a crear  el reporte

$query=mysqli_query($con, "SELECT * FROM cliente where tarifas_tar_id='$tarifa' and empresa='$empresa' ORDER BY clie_nombre ASC ");


 while ($roww=mysqli_fetch_array($query))   
    {
             
        $a="A".$cel;
        $b="B".$cel;
        $c="C".$cel;
        $d="D".$cel;
        $e="E".$cel;
        $f="F".$cel;
           

         $sheet->setCellValue($a, $apertura)
        ->setCellValue($a, $roww['clie_cc'])
        ->setCellValue($b, $roww['clie_dv'])
        ->setCellValue($c, $roww['clie_nombre'])
        ->setCellValue($d, $roww['clie_direccion'].$roww['clie_barrio'])
        ->setCellValue($e, $roww['clie_correo'])
        ->setCellValue($f, $roww['clie_telefono']);

    $cel+=1;
}

     


// Redirigir la salida al navegador web de un cliente ( Excel5 )
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="REPORTE CLIENTES POR TARIFAS.xlsx"');
header('Cache-Control: max-age=0');
// Si usted está sirviendo a IE 9 , a continuación, puede ser necesaria la siguiente
header('Cache-Control: max-age=1');

$writer = new Xlsx($spread);
$writer->save('php://output');
exit;
/*
$fileName="Descarga_excel.xlsx";
# Crear un "escritor"
$writer = new Xlsx($spread);
# Le pasamos la ruta de guardado

header('Content-Type: application/vnd.openxmlformats-officedocument.spreadsheetml.sheet');
header('Content-Disposition: attachment; filename="'. urlencode($fileName).'"');
$writer->save('php://output');
?>*/
?>